using ReAct_PME.Domain;


namespace ReAct_PME.Application
{
    public partial interface IDT_ROLEService
    {
		#region CRUD de la table DT_ROLE
		Task<bool> Create_Async(DT_ROLE_DTO dt_role);
		Task<bool> Update_Async(Guid ID_ROLE, DT_ROLE_DTO dt_role);
		Task<bool> Delete_Async(Guid ID_ROLE);
		Task<IEnumerable<DT_ROLE_DTO>> GetAll_Async(bool IsActifOnly=false);
		Task<DT_ROLE_DTO?> GetById_Async(Guid ID_ROLE);
		#endregion



    }
}
